1.0
1.0
get /v1/configinspection/report/diagnosis/list
Description
진단 결과 목록 가져오기
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | limit Example : 20 | any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | account_id optional | 진단 계정 Example : 0e3dffc50eb247a1adf4f2e5c82c4f99 | any of [string, null] | None |
| query | diagnosis_id optional | 진단 ID Example : DIA-943731CB8E3045C289BAECAEC3532097 | any of [string, null] | None |
| query | diagnosis_name optional | 진단명 Example : Sample Diagnosis Name | any of [string, null] | None |
| query | start_date optional | 시작일 Example : 2022-01-01 | any of [string, null] | None |
| query | end_date optional | 종료일 Example : 2022-12-31 | any of [string, null] | None |
| query | csp_type optional | 클라우드 서비스 제공자의 유형 Example : SCP | any of [string, null] | None |
| query | diagnosis_state optional | 진단 상태 Example : Completed | any of [string, null] | None |
| query | user_id optional | 사용자 ID Example : 76b563a009584b1380715c00703a02ff | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DiagnosisResultListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/report/diagnosis/list
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"
Example HTTP response
Response 200
{
"count": 20,
"diagnosis_result_responses": [
{
"count_check": 10,
"count_error": 0,
"count_fail": 3,
"count_na": 2,
"count_pass": 5,
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_request_sequence": "1234567890",
"diagnosis_result": "SUCCESS",
"diagnosis_total_count": 10,
"proceed_date": "2022-01-01T12:00:00Z",
"total": 10
}
],
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}